<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/apk/res/android">

    <data>
        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GjcMaWb" />
    </data>

    <com.mcxtzhang.swipemenulib.SwipeMenuLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <!-- 主内容区 -->
        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/ll"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="15dp"
                android:layout_marginVertical="5dp"
                android:background="@drawable/bg_item"
                android:orientation="horizontal"
                android:padding="10dp">

        <!-- 左侧图标 -->
        <ImageView
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_gravity="center"
            android:src="@drawable/img_plane" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:layout_marginLeft="10dp"
            android:orientation="vertical">

            <!-- 第一行数据：运单号、件数、重量、代理人、入库时间 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <!-- 运单号 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{4}"
                        android:text="运单号：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.wbNo}"
                        android:textColor="@color/colorPrimary"
                        tools:text="78109081212" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 件数 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.7"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{4}"
                        android:text="件数：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{String.valueOf(bean.pc)}'
                        tools:text="10" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 重量 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{4}"
                        android:text="重量：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{String.valueOf(bean.weight)}'
                        tools:text="200" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 代理人 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{4}"
                        android:text="代理人：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{bean.agentName ?? bean.agentCode}'
                        tools:text="SF" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 入库时间 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{5}"
                        android:text="入库时间：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{bean.opDate ?? ""}'
                        tools:text="2024-05-13 17:10:22" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <!-- 第二行数据：航班、目的港、特码、运单类型、离港时间 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <!-- 航班 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{4}"
                        android:text="航班：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.flight}"
                        tools:text="20240513/MU2026" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 目的港 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.7"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{4}"
                        android:text="目的港：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.dest}"
                        tools:text="PEK" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 特码 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{4}"
                        android:text="特码：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.spCode}"
                        tools:text="NOR" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 运单类型 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{5}"
                        android:text="运单类型：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{bean.awbName ?? bean.awbType}'
                        tools:text="国际出港(直航)" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 离港时间 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        completeSpace="@{5}"
                        android:text="离港时间：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{bean.fclose ?? ""}'
                        tools:text="2024-05-13 17:10:22" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

        </LinearLayout>

        <!-- 右侧箭头 -->
        <ImageView
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_gravity="center"
            android:src="@drawable/img_pda_right"
            android:layout_marginLeft="10dp" />

    </androidx.appcompat.widget.LinearLayoutCompat>

        </androidx.appcompat.widget.LinearLayoutCompat>

        <!-- 侧滑菜单区 -->
        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="wrap_content"
            android:layout_height="match_parent">

            <TextView
                android:id="@+id/btnEdit"
                style="@style/tv_item_action"
                android:background="@color/colorPrimary"
                android:text="修改" />

        </androidx.appcompat.widget.LinearLayoutCompat>

    </com.mcxtzhang.swipemenulib.SwipeMenuLayout>
</layout>
